using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ClickDetect : MonoBehaviour {

    public System.Action action;

    private void OnMouseDown()
    {
        if (action != null)
            action();
    }
}
